Bug 459212 - Review Request: oolite-data - Data files for Oolite
Summary: Review Request: oolite-data - Data files for Oolite
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 459211
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-15 01:27 UTC by Michel Alexandre Salim
Modified: 2009-09-25 07:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-25 07:42:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora-review?


Attachments (Terms of Use)

Comment 1 manuel wolfshant 2008-12-06 00:02:40 UTC
Nothing much to review here, as it's just a bunch of data...
GOOD:
====
SHA1sum corresponds with upstream
  c322fa81a57d39e150806917cb052bb370efa725 oolite-1.65-data.tar.gz
license is OK ( GPLv2+ )
builds fine in mock 

Potential problems
==================
rpmlint output:
Source RPM:
oolite-data.src:32: E: hardcoded-library-path in %{_prefix}/lib/GNUstep/Applications/oolite.app/Contents
oolite-data.src:33: E: hardcoded-library-path in %{_prefix}/lib/GNUstep/Applications/oolite.app/Contents/
oolite-data.src:43: E: hardcoded-library-path in %{_prefix}/lib/GNUstep/Applications/oolite.app/Contents/Resources/*
--> What is the are these required by the game or

oolite-data.src: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 12)
1 packages and 0 specfiles checked; 3 errors, 1 warnings.
--> esthetic bug, please fix before commit

rpmlint of oolite-data:
oolite-data.noarch: E: only-non-binary-in-usr-lib
--> normal, as we have just data

MUSTFIX
=======
the folders below /usr/lib/GNUstep/Applications/oolite.app/ seem to be left unowned and at the first glance oolite does not own them either.

Comment 2 Michel Alexandre Salim 2009-09-25 07:42:41 UTC
Closing this bug, as upstream has merged oolite and oolite-data


Note You need to log in before you can comment on or make changes to this bug.